Summary: Conditions Database
Name: CondDBMySQL
Version: 0.7.3
Release: 10.6%{?dist}1a
License: GPL
Vendor: JLC
Group: System Environment/Libraries
#Source: %{name}_ILC-%{version}.tgz
Source: %{name}_ILC-%{version}.tar.gz
Patch0: %{name}_ILC-%{version}-macosx10.6.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
Conditions database for ILC

%prep
%setup -n %{name}
%patch0 -p1 -b .macosx
#sed -e 's;install_name \$rpath/;install_name @rpath/;g' configure > configure.new
#chmod 755 configure.new
#mv configure.new configure
#cp -p /usr/share/libtool/{config.guess,config.sub,ltmain.sh} config/configtools/


%build
./configure --prefix=%{_usr} --with-mysql-inc=%{_usr}/include/mysql --with-mysql-lib=%{_usr}/lib \
                      --with-conddbprofile=localhost:mydb:calvin:hobbes
# begin dirty hack
cp -p /usr/bin/glibtool libtool
# end dirty hack
make CXX='g++ -m32'

%install
make CXX='g++ -m32' install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc
%{_usr}/bin/*
%{_usr}/lib/*
%{_usr}/include/*

%changelog
* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 0.7.3-10.6hepx1a
- 1st release on MacOSX 10.6

* Sat Mar 21 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 0.5.11-10.5hepx1c
- 3rd release on MacOSX 10.5
- use svn HEAD

* Sat Mar 21 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 0.5.11-10.5hepx1b
- 2nd release on MacOSX 10.5
- fixed install_name

* Fri Mar 20 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 0.5.11-10.5hepx1a
- 1st release on MacOSX 10.5
